libchamplain (0.12.12-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Dec 2015 23:32:38 +0100

libchamplain (0.12.11-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Sep 2015 13:40:08 +0200

libchamplain (0.12.10-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Install typelib files into multiarch paths.
  * Mark gir and dev packages as Multi-Arch: same.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 May 2015 00:40:54 +0200

libchamplain (0.12.9-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 23:16:09 +0200

libchamplain (0.12.8-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Update Homepage URL
  * Drop debian/patches/99_ltmain_as-needed.patch and use dh_autoreconf
    --as-needed instead

  [ Jackson Doak ]
  * New upstream release
  * debian/control:
    - Replace libsoup-gnome2.4-dev with libsoup2.4-dev
    - Replace autotools-dev with dh-autoreconf
  * debian/rules: Use autoreconf. Closes: #733200

 -- Laurent Bigonville <bigon@debian.org>  Thu, 03 Jul 2014 20:55:13 +0200

libchamplain (0.12.7-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Add one new symbol to debian/libchamplain-0.12-0.symbols

  [ Emilio Pozuelo Monfort ]
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Mar 2014 14:30:42 +0100

libchamplain (0.12.5-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file for libchamplain-0.12-0.
  * The gtk-doc documentation now uses an API-versioned directory. Update the
    .doc-base and .install files for libchamplain-doc and libchamplain-gtk
    accordingly.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Sep 2013 15:31:58 +0200

libchamplain (0.12.4-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libclutter-1.0-dev build-dependency to >= 1.12
    - Adjust debian/libchamplain-0.12-0.symbols: The removed symbols were
      either not part of the public API or not used
  * debian/control.in:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical URL for Vcs-Svn
    - Fix typo in long description (Closes: #700454)
    - Add build-dependency so config.{guess,sub} are getting updated during
      the build
  * debian/rules: Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS to not
    override hardening flags

  [ Michael Biebl ]
  * Drop explicit Build-Depends on gir1.2-gtk-3.0 and gir1.2-clutter-1.0. They
    are pulled in automatically by their corresponding -dev package.
  * Change Build-Depends on valac-0.20 to valac (>= 0.20).

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Sep 2013 17:18:52 +0200

libchamplain (0.12.3-2) unstable; urgency=low

  * debian/control.in:
    + Build against valac-0.20. Fixes FTBFS. Closes: #707378.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 12 May 2013 23:37:32 +0200

libchamplain (0.12.3-1) unstable; urgency=low

  * New upstream release (Closes: #681650)
    - fix OSM cycle map source URL

 -- Laurent Bigonville <bigon@debian.org>  Tue, 14 Aug 2012 17:37:41 +0200

libchamplain (0.12.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Bump valac build-dependency to 0.16 (Closes: #664996)
  * debian/patches/99_ltmain_as-needed.patch: Refreshed

 -- Laurent Bigonville <bigon@debian.org>  Thu, 29 Mar 2012 20:25:19 +0200

libchamplain (0.12.1-1) unstable; urgency=low

  * New upstream release
    - Adjust .symbols files
  * Drop debian/source/options: Use default compression for debian tarball

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Dec 2011 16:31:05 +0100

libchamplain (0.12.0-2) unstable; urgency=low

  * debian/control.in:
    - Build-dep against valac-0.14 instead of valac-0.12, mixing different
      versions leads valac to crash (Closes: #650229)
    - Move gir package to Section: introspection
  * debian/watch: Switch to .xz tarballs

 -- Laurent Bigonville <bigon@debian.org>  Wed, 14 Dec 2011 16:50:02 +0100

libchamplain (0.12.0-1) unstable; urgency=low

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Sep 2011 20:48:16 +0200

libchamplain (0.11.0-1) unstable; urgency=low

  * New upstream release
    - Rename packages to match new soname
    - Adjusts .symbols files
  * debian/patches/99_ltmain_as-needed.patch, debian/rules: Limit unneeded
    runtime dependencies
  * debian/control.in, debian/*.install, debian/rules: Transition to multiarch
    policy
  * debian/control.in: Move gir1.2-* packages to optional

 -- Laurent Bigonville <bigon@debian.org>  Tue, 06 Sep 2011 21:03:14 +0200

libchamplain (0.10.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/control.in:
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Remove indefinite article at the beginning of the Description

 -- Laurent Bigonville <bigon@debian.org>  Tue, 19 Apr 2011 22:52:36 +0200

libchamplain (0.10.0-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control.in:
    - Make libchamplain-gtk-doc Recommends libclutter-gtk-1.0-doc instead
      of libclutter-gtk-0.10-doc
    - Build-depends against valac-0.12 instead of valac
  * debian/rules: Readd --enable-vala configure flag
  * debian/libchamplain-0.10-0.symbols: Adjust .symbols file

  [ Josselin Mouette ]
  * Make the -dev packages depend on the gir packages.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Apr 2011 11:41:43 +0200

libchamplain (0.9.0-1) experimental; urgency=low

  * New upstream release:
    - Built against GTK3
  * debian/rules:
    - Drop --enable-vala, vala bindings are built by default
    - Always bump shlibs files, we are using .symbols files anyway
    - Rely on cdbs >= 0.4.90 to call dh_girepository
  * debian/control.in:
    - Bump build-dependencies
    - Rename packages accordingly
  * Rename and update *.symbols and *.install files

 -- Laurent Bigonville <bigon@debian.org>  Wed, 16 Mar 2011 00:28:36 +0100

libchamplain (0.4.6-3) unstable; urgency=low

  * Remove the gir1.0 packages to ease the gir1.2 transition, since nothing
    uses them.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Feb 2011 20:47:47 +0000

libchamplain (0.8.1-1) experimental; urgency=low

  * New upstream release
  * debian/control.in, debian/rules:
    - Drop python packages, they are empty since 0.7.2-1 anyway

 -- Laurent Bigonville <bigon@debian.org>  Tue, 25 Jan 2011 20:24:56 +0100

libchamplain (0.8.0-2) experimental; urgency=low

  * Update to the new gir policy:
    - Rename gir1.0-champlain-0.8 to gir1.2-champlain-0.8 and
      gir1.0-gtkchamplain-0.8 to gir1.2-gtkchamplain-0.8.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 13 Dec 2010 01:13:25 +0100

libchamplain (0.8.0-1) experimental; urgency=low

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Oct 2010 15:59:25 +0200

libchamplain (0.7.2-1) experimental; urgency=low

  * New upstream release
    - Bump soname and adjust .symbols files
    - Drop debian/patches/reduce_pc_requires.patch: applied upstream
  * debian/control.in:
    - Bump Standards-Version to 3.9.1 (no further changes)
  * Python bindings are not working in this release, ship empty packages for
    now.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Sep 2010 23:10:38 +0200

libchamplain (0.4.6-2) unstable; urgency=medium

  * debian/patches/01fix_python_bindings.patch: Fix python bindings
    (Closes: #587881)
  * Rename python packages to remove version in the name
  * Bump Standards-Version to 3.9.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 Jul 2010 15:17:42 +0200

libchamplain (0.6.1-1) experimental; urgency=low

  * New upstream release (Closes: #583357)
    - Bump soname version and adjust .symbols file
  * Use .bz2 upstream tarball
  * debian/patches/reduce_pc_requires.patch: Do not link against useless
    libraries

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 Jun 2010 00:34:56 +0200

libchamplain (0.4.6-1) unstable; urgency=low

  * New upstream release (thanks to Łukasz Jernaś <deejay1@srem.org>)
    (Closes: #585126)
    - Add Python and Vala bindings (Closes: #561638)
  * debian/control: Make libchamplain-gtk-0.4-dbg recommends
    libchamplain-0.4-dbg

 -- Laurent Bigonville <bigon@debian.org>  Sun, 13 Jun 2010 15:26:48 +0200

libchamplain (0.4.5-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version (no further changes)
  * Use new "3.0 (quilt)" source package format

 -- Laurent Bigonville <bigon@debian.org>  Thu, 25 Mar 2010 14:34:07 +0100

libchamplain (0.4.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Fix empty -dbg packages

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Feb 2010 23:42:13 +0100

libchamplain (0.4.3-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * New upstream release.
    - fix linking using binutils-gold (Closes: #555082)
  * Add support for "get-orig-source" in debian/rules.
  * Update libchamplain-0.4-0.symbols for function added in 0.4.3.

  [ Laurent Bigonville ]
  * Add Recommends on libchamplain-doc package for
    libchamplain-gtk-doc (Closes: #565311)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 20 Jan 2010 18:12:56 +0100

libchamplain (0.4.2-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * Update the copyright file

  [ Laurent Bigonville ]
  * New upstream release
    - debian/libchamplain-0.4-0.symbols: Update symbols
  * debian/control.in:
    - Remove myself from the Uploaders as I'm now in gnome-pkg-tools
      maintainer list
    - Fix Vcs-Svn URL
    - Add libclutter-gtk-0.10-doc recommends for libchamplain-gtk-doc
  * Add GObject introspection packages (LP: #456265)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 28 Oct 2009 13:16:24 +0100

libchamplain (0.4.0-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control: Add libchamplain-0.3-dev dependency to
    libchamplain-gtk-0.3-dev

  [ Sjoerd Simons ]
  * New upstream release (0.4.0)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 15 Sep 2009 00:01:41 +0100

libchamplain (0.3.91-3) experimental; urgency=low

  * debian/control: Fix broken recommends s/libclutter-doc/libclutter-1.0-doc

 -- Laurent Bigonville <bigon@debian.org>  Tue, 01 Sep 2009 10:51:39 +0200

libchamplain (0.3.91-2) experimental; urgency=low

  * debian/control: Fix typo in libchamplain-gtk-0.3-dev dependencies

 -- Laurent Bigonville <bigon@debian.org>  Tue, 01 Sep 2009 10:50:56 +0200

libchamplain (0.3.91-1) experimental; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Bump soname and adjust .symbols files 
  * debian/control:
    - Fix packages descriptions (Closes: #535576)
    - Add Vcs- fields 

 -- Laurent Bigonville <bigon@debian.org>  Mon, 31 Aug 2009 13:55:59 +0200

libchamplain (0.3.3-2) unstable; urgency=low

  * debian/control:
    - Add proper dependencies for -dev packages (Closes: #536425)
    - Bump Standards-Version to 3.8.3 (no further changes)
    - Add libclutter-doc recommends to libchamplain-doc (Closes: #538072)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 30 Aug 2009 20:43:34 +0200

libchamplain (0.3.3-1) unstable; urgency=low

  * New upstream release
    - Bump soname and adjust .symbols files of booth libraries
  * debian/control:
    - Add ${misc:Depends} to libchamplain-gtk-doc to please lintian
    - Build depend against libsoup-gnome2.4-dev instead of libsoup-2.4-dev
    - Add myself as an Uploaders
    - Remove duplicate section field for libchamplain-0.3-1
      and libchamplain-gtk-0.3-1 to please lintian
    - Versionize libclutter-0.8-dev build-dep
  * debian/watch: Fix URL
  * debian/copyright: Cleanup copyright file

 -- Laurent Bigonville <bigon@debian.org>  Tue, 16 Jun 2009 16:23:34 +0200

libchamplain (0.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #529853)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 02 Jun 2009 23:55:33 +0100

libchamplain (0.2.10-2) unstable; urgency=low

  [ Sebastian Reichel ]
  * New standard version: 3.8.1
  * Fix lintian warnings

  [ Sjoerd Simons ]
  * debian/copyright: Updated
  * debian/control.in: Move the -dbg package into the debug section

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 17 May 2009 16:00:43 +0100

libchamplain (0.2.10-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * Initial release. (Closes: #498369)

  [ Sjoerd Simons ]
  * New upstream release (0.2.10)
  * Improve descriptions and add a docs package, based on work by
    Sebastian Reichel

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 03 Apr 2009 01:07:29 +0100
